---
single_line_ints:
  # Maximum number of simultaneous backups to run.
  MaxUserBackups: 2
  # Maximum number of pending link commands
  MaxBackupPCNightlyJobs: 1
  # How many days (runs) it takes BackupPC_nightly to traverse the
  BackupPCNightlyPeriod: 8
  # Maximum number of log files we keep around in log directory.
  MaxOldLogFiles: 21
  IncrKeepCnt: 13

single_line_strings:
  XferMethod: rsync
  EMailFromUserName: backuppc@perfact.de
  EMailAdminUserName: backuppc@perfact.de
  EMailUserDestDomain: "@perfact.de"
  # URL of the BackupPC_Admin CGI script.  Used for email messages.
  CgiURL: http:///backuppc/index.cgi
  Language: de

single_line_conf: "{{ (single_line_strings | wrap_dict_values(\"'\")) | combine(single_line_ints) }}"

multi_line_conf:
  BackupFilesExclude: "
    {\n
      '*' => [\n
        {% for path in ALLBackupExclude %}
        '{{ path }}',\n
        {% endfor %}
      ]\n
    };"
  RsyncArgsExtra: "
    [\n
      # limit io to avoid high system load\n
      #\n
      # param ist kByte/s    1 Mbit/s ~    100 kB/s\n
      #                     50 Mbit/s ~  5.000 kB/s\n
      #                    150 Mbit/s ~ 15.000 kB/s\n
      '--bwlimit=15000',\n
    ];"
  FullKeepCnt: "
    [\n
       4,\n
       4,\n
       4,\n
       4\n
    ];"
  WakeupSchedule: "
[\n
   1,\n
   2,\n
   3,\n
   4,\n
   5,\n
   6,\n
   7,\n
   '7.25',\n
   '7.5',\n
   '7.75',\n
   8,\n
   '8.25',\n
   '8.5',\n
   '8.75',\n
   9,\n
   '9.25',\n
   '9.5',\n
   '9.75',\n
   10,\n
   '10.25',\n
   '10.5',\n
   '10.75',\n
   11,\n
   '11.25',\n
   '11.5',\n
   '11.75',\n
   '12',\n
   19,\n
   20,\n
   21,\n
   22,\n
   23\n
];"

